//This JSON was modified by Rainvay_ZCYF (@ZouChenyunfei) and AgentMindStorm (@agentms_). Please do not use this document without permission.
{
  "format_version" : "1.8.0",
  "animations" : {
    "animation.zombie.attack_bare_hand" : {
      "loop" : true,
      "bones" : {
        "leftarm" : {
          "rotation" : [ "-80.0 - (-(math.sin(variable.attack_time * 180.0) * 57.3) * 1.2 - (math.sin((1.0 - (1.0 - variable.attack_time) * (1.0 - variable.attack_time)) * 180.0) * 57.3) * 0.4) - (math.sin(query.life_time * 76.776372) * 2.865) - this", "5.73 - ((math.sin(variable.attack_time * 180.0) * 57.3) * 0.6) - this", "math.cos(query.life_time * 103.13244) * -2.865 - 2.865 - this" ]
        },
        "rightarm" : {
          "rotation" : [ "80.0 * (variable.is_brandishing_spear - 1.0) - (-(math.sin(variable.attack_time * 180.0) * 57.3) * 1.2 - (math.sin((1.0 - (1.0 - variable.attack_time) * (1.0 - variable.attack_time)) * 180.0) * 57.3) * 0.4) + (math.sin(query.life_time * 76.776372) * 2.865) - this", "(math.sin(variable.attack_time * 180.0) * 57.3) * 0.6 - 5.73 - this", "math.cos(query.life_time * 103.13244) * 2.865 + 2.865 - this" ]
        }
      }
    },
    "animation.zombie.attack": {
      "loop": true,
      "bones": {
        "leftarm": {
          "rotation" : [ -40, 0, 0 ]
        },
        "rightarm" : {
          "rotation" : [ -40, 0, 0 ]
        }
      }
    },
    "animation.zombie.swimming" : {
      "loop" : true,
      "bones" : {
        "body" : {
          "position" : [ 0.0, "variable.swim_amount * -10.0 - this", "variable.swim_amount * 9.0 - this" ],
          "rotation" : [ "variable.swim_amount * (90.0 + query.target_x_rotation)", 0.0, 0.0 ]
        }
      }
    }
  }
}
